// swift-tools-version:5.3
// The swift-tools-version declares the minimum version of Swift required to build this package.

import PackageDescription

let package = Package(
    name: "WebIdIosBankIdentPlugin",
    platforms: [
        .iOS(.v13)
    ],
    products: [
        // Products define the executables and libraries a package produces, and make them visible to other packages.
        .library(name: "WebIdIosBankIdentPlugin", targets: ["WebIdIosBankIdentPluginWrapper"]),
    ],
    dependencies: [
        // Dependencies declare other packages that this package depends on.
        .package(
            name: "WebIdPluginCore",
            url: "https://api.webid-solutions.de/releases/ios/spm/SwiftPackageRedesignV4/webid-plugin-core-spm.git",
            .branch("redesign-v4-snapshots")
        ),
        .package(
            name: "XS2AiOS",
            url: "https://github.com/FinTecSystems/xs2a-ios",
            .exact("2.1.0")
        )
    ],
    targets: [
        .binaryTarget(
            name: "WebIdIosBankIdentPlugin",
            url: "https://api.webid-solutions.de/releases/ios/xcframework/redesign-v4-snapshots/de/webid-solutions/WebIdIosBankIdentPlugin/20.0.0/WebIdIosBankIdentPlugin.framework-v20.0.0-SNAPSHOT-410.zip",
            checksum: "945c5290557191be3765d567addbbbb9dcb932c8e3200a5aedc6e8f2af1bc752"
        ),
        .target(
            name: "WebIdIosBankIdentPluginWrapper",
            dependencies: [
                .target(name: "WebIdIosBankIdentPlugin"),
                // [target dependecies here]
                
                .product(name: "WebIdPluginCore", package: "WebIdPluginCore"),
                .product(name: "XS2AiOS", package: "XS2AiOS"),
            ]
        )
    ],
    swiftLanguageVersions: [SwiftVersion.v5]
)
